Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::G::IOSignal Class Reference

IO signal class. More...

`#include <xfc/main.hh>`

List of all members.

## Public Types

- typedef sigc::slot< bool,
  IOConditionField > SlotType
    Function signature for handlers connected to this signal.

## Public Member Functions

- sigc::connection connect (G::IOChannel &channel, G::IOConditionField condition, const SlotType &slot, int priority=PRIORITY_DEFAULT)
    Connect a slot to be called when the event loop is idle.

## Detailed Description

IO signal class.

IOSource is a convenience class that adds a callback slot to the default main context, to be called when a given condition is met. If your using a different context, for example, inside a thread, you should use an IOSource instead. If a connected slot returns false it is automatically removed from the list of event sources and will not be called again.

## Member Function Documentation

sigc::connection Xfc::G::IOSignal::connect | ( | G::IOChannel & | channel,
|  | G::IOConditionField | condition,
|  | const SlotType & | slot,
|  | int | priority = `PRIORITY_DEFAULT`
| ) |

Connect a slot to be called when the event loop is idle.

Parameters:

  | channel | A G::IOChannel.
  | condition | The condition to watch for.
  | slot | The callback slot to call when the condition is satisfied.
  | priority | The priority of the io source.

Returns:
  A connection object that can be used to break or alter the connection.

The documentation for this class was generated from the following file:

- libXFCcore/xfc/glib/main.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3